summaryrefslogtreecommitdiffstats
path: root/network/basilisk-bin
diff options
context:
space:
mode:
author khronosschoty <khronosschoty@posteo.org>2018-06-20 00:10:36 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-06-23 08:44:01 +0700
commitd41020bcf0fda3c80f5c28afc3cdc25b177a2fdd (patch)
tree8d127ab2cafd86a9405663a2f595d54d05195ce5 /network/basilisk-bin
parent9319bd2c8bceb36518a4442b90c1e3b1ac4a3f42 (diff)
downloadslackbuilds-d41020bcf0fda3c80f5c28afc3cdc25b177a2fdd.tar.gz
slackbuilds-d41020bcf0fda3c80f5c28afc3cdc25b177a2fdd.tar.xz
network/basilisk-bin: Added (Web browser).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/basilisk-bin')
-rw-r--r--network/basilisk-bin/README13
-rw-r--r--network/basilisk-bin/basilisk-bin.SlackBuild93
-rw-r--r--network/basilisk-bin/basilisk-bin.desktop14
-rw-r--r--network/basilisk-bin/basilisk-bin.info10
-rw-r--r--network/basilisk-bin/doinst.sh9
-rw-r--r--network/basilisk-bin/slack-desc19
6 files changed, 158 insertions, 0 deletions
diff --git a/network/basilisk-bin/README b/network/basilisk-bin/README
new file mode 100644
index 0000000000..5c78a5ad82
--- /dev/null
+++ b/network/basilisk-bin/README
@@ -0,0 +1,13 @@
+Basilisk is a free and Open Source XUL-based web browser, featuring
+the well-known Firefox-style interface and operation. It is based on
+the Goanna layout and rendering engine (a fork of Gecko) and builds
+on the Unified XUL Platform (UXP), which in turn is a fork of the
+Mozilla code base without Servo or Rust.
+
+Basilisk is community software released by the Pale Moon team and
+Mozilla developers.
+
+This SlackBuild just repackages the binary package provided by the
+project. It doesn't attempt to build the browser from source.
+
+The Basilisk Linux packages are currently only 64-bit.
diff --git a/network/basilisk-bin/basilisk-bin.SlackBuild b/network/basilisk-bin/basilisk-bin.SlackBuild
new file mode 100644
index 0000000000..915e8717ac
--- /dev/null
+++ b/network/basilisk-bin/basilisk-bin.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for basilisk-bin
+# Copyright 2018 Skaendo <skaendo at excite dot com>
+# Copyright 2018 Vasily Sora USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=basilisk-bin
+SRCNAM=${SRCNAM:-basilisk}
+VERSION=${VERSION:-2018.06.01}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Basilisk is only 64bit.
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported. Aborting."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$SRCNAM-latest.linux64.tar.bz2
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install basilisk into /opt
+mkdir -p $PKG/opt/$PRGNAM
+cp -vr * $PKG/opt/$PRGNAM
+
+# Link stuff
+## binary
+mkdir -p $PKG/usr/bin
+ln -s /opt/$PRGNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+## icons
+mkdir -p $PKG/usr/share/icons/hicolor/128x128/apps
+ln -s /opt/$PRGNAM/browser/icons/mozicon128.png \
+ $PKG/usr/share/icons/hicolor/128x128/apps/basilisk.png
+
+# Install .desktop file
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/basilisk-bin/basilisk-bin.desktop b/network/basilisk-bin/basilisk-bin.desktop
new file mode 100644
index 0000000000..02da9ae9a8
--- /dev/null
+++ b/network/basilisk-bin/basilisk-bin.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Version=1.0
+Name=Basilisk Web Browser
+Comment=Browse the World Wide Web
+Keywords=Internet;WWW;Browser;Web;Explorer
+Exec=basilisk-bin %u
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+Icon=basilisk-bin
+Categories=Network;WebBrowser;
+MimeType=text/html;text/xml;application/xhtml+xml;application/xml;application/rss+xml;application/rdf+xml;image/gif;image/jpeg;image/png;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;x-scheme-handler/chrome;video/webm;application/x-xpinstall;
+StartupNotify=true
+Name[en_US]=Basilisk Web Browser
diff --git a/network/basilisk-bin/basilisk-bin.info b/network/basilisk-bin/basilisk-bin.info
new file mode 100644
index 0000000000..298a7850f2
--- /dev/null
+++ b/network/basilisk-bin/basilisk-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="basilisk-bin"
+VERSION="2018.06.01"
+HOMEPAGE="http://www.basilisk-browser.org"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://us.basilisk-browser.org/release/basilisk-latest.linux64.tar.bz2"
+MD5SUM_x86_64="bd683ade52d03998b4e194b54f241438"
+REQUIRES=""
+MAINTAINER="khronosschoty"
+EMAIL="khronosschoty@posteo.org"
diff --git a/network/basilisk-bin/doinst.sh b/network/basilisk-bin/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/basilisk-bin/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/basilisk-bin/slack-desc b/network/basilisk-bin/slack-desc
new file mode 100644
index 0000000000..0843e05966
--- /dev/null
+++ b/network/basilisk-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+basilisk-bin: basilisk-bin (Web browser)
+basilisk-bin:
+basilisk-bin: Basilisk is a free and Open Source XUL-based web browser, featuring
+basilisk-bin: the well-known Firefox-style interface and operation. It is based on
+basilisk-bin: the Goanna layout and rendering engine (a fork of Gecko) and builds
+basilisk-bin: on the Unified XUL Platform (UXP), which in turn is a fork of the
+basilisk-bin: Mozilla code base without Servo or Rust.
+basilisk-bin:
+basilisk-bin:
+basilisk-bin: Homepage: http://www.basilisk-browser.org
+basilisk-bin: